Bug 222993 - sysutils/cbsd: update to 11.1.8
Summary: sysutils/cbsd: update to 11.1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-13 23:01 UTC by olevole
Modified: 2017-10-18 19:28 UTC (History)
1 user (show)

See Also:
olevole: maintainer-feedback+


Attachments
sysutils/cbsd: update to 11.1.8 (880 bytes, text/plain)
2017-10-13 23:01 UTC, olevole
olevole: maintainer-approval+
Details
sysutils/cbsd: update to 11.1.8 (880 bytes, patch)
2017-10-17 20:06 UTC, olevole
olevole: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olevole 2017-10-13 23:01:41 UTC
Created attachment 187152 [details]
sysutils/cbsd: update to 11.1.8

update to 11.1.8
changes: https://github.com/cbsd/cbsd/releases/tag/v11.1.8
Comment 1 olevole 2017-10-17 20:06:28 UTC
Created attachment 187243 [details]
sysutils/cbsd: update to 11.1.8

update patch: remove debug artifacts from code and add DragonFLYBSD 5.0.0. profile
Comment 2 Tobias C. Berner freebsd_committer 2017-10-18 17:44:30 UTC
Hi Oleg

I can't really see a difference between your two patches. 
Also, you could switch PORTVERSION to DISTVERSION 


mfg Tobias
Comment 3 olevole 2017-10-18 18:56:18 UTC
(In reply to Tobias C. Berner from comment #2)

Difference only in checksum/size, because I moved the tag in upstream to next revision. I decided not to increase the version (or PORTVERSION), because I decided to include in the release another patch/changes (I am the author of the code)
Comment 4 commit-hook freebsd_committer 2017-10-18 19:27:42 UTC
A commit references this bug:

Author: tcberner
Date: Wed Oct 18 19:26:51 UTC 2017
New revision: 452379
URL: https://svnweb.freebsd.org/changeset/ports/452379

Log:
  Update sysutils/cbsd to 11.1.8

  * While here, switch it to DISTVERSION.

  PR:		222993
  Submitted by:	olevole@olevole.ru (maintainer)

Changes:
  head/sysutils/cbsd/Makefile
  head/sysutils/cbsd/distinfo
Comment 5 Tobias C. Berner freebsd_committer 2017-10-18 19:28:41 UTC
Thanks, committed.

I also changed it to use the preferred DISTVERSION.

There are some other issues, that portlint will tell you about, that you can take care of in the next update :)